[ Identification | Description | Input parameters | Output parameters | Links ]

# The `MirrorElli` Component

Elliptical mirror.

## Identification

- Author: Sylvain Desert
- Origin: LLB
- Date: 2007
- Version: 1.1

## Description

    Models an elliptical mirror. The reflectivity profile is given by a 2-column reflectivity free
    text file with format [q(Angs-1) R(0-1)].

    Example:  MirrorElli(reflect="supermirror_m3.rfl",focus=6.6e-4, interfocus = 8.2, yheight = 0.0002,
    				  zmin=-3.24, zmax=-1.49)

    Example values: reflect="supermirror_m3.rfl" deltafaisceau=0.05 yheight=2e-4 focus=6.6e-4 ecartx=0.05

    Example instrumentfile FocalisationMirrors.instr is available in the examples/ folder.

WARNING: This is a contributed Component.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
reflect | str | Reflectivity file name. Format [q(Angs-1) R(0-1)] | 0
focus | m | focal length |
interfocus | m | Distance between the two elliptical focal points |
yheight | m | height of the mirror |
zmin |  |  | 0
zmax |  |  | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
beta1 |  |  |
alpha1 |  |  |
beta2 |  |  |
alpha2 |  |  |
err |  |  |

## Links

- Source code for `MirrorElli.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]